Subject: Re: [PATCH 5/6] firmware: samsung: acpm: Add TMU protocol support

From: Tudor Ambarus <[email-masked]>
Date: Tue, 19 May 2026 18:46:14 +0300

Hi, Alexey,

On 5/18/26 2:24 PM, Alexey Klimov wrote:
> Thinking further about this I'd humbly suggest that even
> 
> 	if (fw_err >= 0)
> 		return 0;
> 
> 	pr_debug_ratelimited("ACPM tmu call returned: %x\n", fw_err);
> 	or pr_debug(...);
> 
> 	if (fw_err == -1)
> 		return -EACCES;
> 
> some debug message would do.
> Perhaps we need some convertation, for instance as it is done in scmi
> code (scmi_to_linux_errno(), scmi_linux_errmap[]). But I don't have any
> data for mapping acpm errors to some human meanings.

I did that for the pmic helpers. I don't need any debug prints for
gs101 TMU as I have clear instructions from firmware: 0 for success,
-1 for error.

You may update it for e850 later on if you need it.

Cheers,
ta